###########################################################################
#
# Makefile -- src/getpw
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 2000-2008  The New Zealand Digital Library Project
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDL_DIR = ../..
COMMON_DIR = $(GSDL_DIR)/common-src
GSDLOS = @gsdlos@
GSDLARCH = @gsdlarch@



all:	
	mkdir -p $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)

install:
	cp * $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)/.
	rm -f $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)/Makefile
	rm -f $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)/Makefile.in
	rm -f $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)/win32.mak

clean:
	rm -rf $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)

distclean:
	rm -rf $(GSDL_DIR)/cgi-bin/$(GSDLOS)$(GSDLARCH)
	rm -f Makefile

depend:
